> For the complete documentation index, see [llms.txt](https://docs.zapsign.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zapsign.com.br/english/documentos/update-document.md).

# Update document

## Update document

<mark style="color:blue;">PUT</mark> `https://api.zapsign.com.br/api/v1/docs/{{doc_token}}/`

#### Conditions

* The document must be in "in progress" status.
* Only the fields listed below can be updated.

#### Path Parameters

<table><thead><tr><th width="180">Name</th><th width="137.52203369140625">Type</th><th>Description</th></tr></thead><tbody><tr><td>doc_token</td><td>string</td><td>Document token</td></tr></tbody></table>

#### Headers

<table><thead><tr><th width="151.21807861328125">Name</th><th width="114.2691650390625">Type</th><th>Description</th></tr></thead><tbody><tr><td>Authorization<mark style="color:red;">*</mark></td><td>string</td><td><p>apiToken ahead of the "Bearer" text. </p><p>Ex: Bearer c7f35c84-7893-4087-b4fb-d1f06c23</p></td></tr></tbody></table>

#### Body

<table><thead><tr><th width="167.09869384765625">Field</th><th width="137.719482421875">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>name</code></td><td>string</td><td>New name for the main document.</td></tr><tr><td><code>date_limit_to_sign</code></td><td>string (YYYY-MM-DD)</td><td>New deadline date to sign the document.</td></tr><tr><td><code>folder_path</code></td><td>string</td><td>Folder path to organize the document within your account.</td></tr><tr><td><code>folder_token</code></td><td>string</td><td><p>If provided, this field will take precedence over <code>folder_path</code>. It defines the directory based on the <strong>folder token</strong>, which can be obtained by accessing:<br><code>https://app.zapsign.com.br/conta/documentos?pasta=&#x3C;folder_token></code></p><p>If you don't know the token yet, navigate to the desired folder starting from:<br><code>https://app.zapsign.com.br/conta/documentos</code><br>Then, copy the <code>pasta</code> parameter from the URL after opening the target folder.</p></td></tr><tr><td><code>extra_docs</code></td><td>array of objects</td><td>List of associated extra documents that can be renamed.</td></tr></tbody></table>

Structure of extra\_docs

<table><thead><tr><th width="132.46307373046875">Field</th><th width="105.39703369140625">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>token</code></td><td>string</td><td>Token of the previously uploaded extra document.</td></tr><tr><td><code>name</code></td><td>string</td><td>New name for that extra document.</td></tr></tbody></table>

Body&#x20;

```json
{
  "name": "Contrato de Servicios 2026",
  "date_limit_to_sign": "2025-06-26",
  "folder_path": "/Contratos/2026/Enero/",
  "extra_docs": [
    {
      "token": "token_del_documento_extra",
      "name": "Nuevo nombre documento extra"
    }
  ]
}

```

{% tabs %}
{% tab title="200 Success." %}

```javascript
{
    "message": "Document successfully updated"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zapsign.com.br/english/documentos/update-document.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
